Retrieve a GCP GCS asset
Returns a representation of the specified GCP GCS asset.
Path Parameters
- gcs_asset_id string required
Performs the operation on the GCS asset with the specified ID.
- 200
- default
- application/api.clumio.gcp-gcs-assets=v1+json
- Schema
- Example (from schema)
Schema
- _etag string
- added_by string
Indicates how the bucket was added to the protection group. Possible values include
userandbucket_rule. - added_with string[]
Lists all methods by which the bucket was added to the protection group.
- backup_target_region string
The backup target region configured for the GCS asset, if any.
- bucket_id string
The Clumio-assigned ID of the bucket associated with this GCS asset.
- bucket_name string
The name of the GCS bucket associated with this GCS asset.
- created_timestamp string
Creation time of the GCS asset in RFC-3339 format.
- deleted_timestamp string
Deletion time of the GCS asset in RFC-3339 format.
- id string
The Clumio-assigned ID that represents the bucket within the protection group.
- is_deleted boolean
Indicates whether the GCS asset has been deleted (
true) or is still active (false). - last_backup_timestamp string
Time of the last backup in RFC-3339 format.
- name string
The display name of the GCS asset.
- native_id string
The Clumio-assigned native ID of the GCS asset.
- object_count int64
The number of objects that have been backed up in this GCS asset.
- organizational_unit_id string
The Clumio-assigned ID of the organizational unit associated with the GCS asset.
- project_uuid string
The Clumio-assigned UUID of the GCP project associated with this GCS asset.
- protection_group_id string
The Clumio-assigned ID of the protection group associated with this GCS asset.
- protection_group_name string
The user-assigned name of the protection group associated with this GCS asset. Omitted when the parent protection group could not be resolved or has no name.
- region_uuid string
The Clumio-assigned UUID of the GCP region associated with this GCS asset.
- size_bytes int64
Total size in bytes of all objects that have been backed up in this GCS asset.
- updated_timestamp string
Last update time of the GCS asset in RFC-3339 format.
- version int64
The resource version of the GCS asset.
{
"_etag": "string",
"added_by": "string",
"added_with": [
"string"
],
"backup_target_region": "string",
"bucket_id": "string",
"bucket_name": "string",
"created_timestamp": "string",
"deleted_timestamp": "string",
"id": "string",
"is_deleted": true,
"last_backup_timestamp": "string",
"name": "string",
"native_id": "string",
"object_count": 0,
"organizational_unit_id": "string",
"project_uuid": "string",
"protection_group_id": "string",
"protection_group_name": "string",
"region_uuid": "string",
"size_bytes": 0,
"updated_timestamp": "string",
"version": 0
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}